
GammaLib - Action #1446

Add bounding circle to diffuse map

03/13/2015 10:16 PM - Knödlseder Jürgen

Status: Closed Start date: 03/13/2015

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

A bounding circle should be added to diffuse maps to speed up computations. This avoids handling a specific diffuse model in case

that the model is too far from the actual pixel.

History

#1 - 03/13/2015 11:16 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.0.0

- % Done changed from 0 to 50

I added a contains() method to the GModelSpatialDiffuse base class and all derived classes. So far the method is only implemented for

GModelSpatialDiffuseMap.

Note that the contains() method could be implemented for all GModelSpatial classes so that the client can check before computing whether it may be

worth to do the calculations. This should save generally computing time.

#2 - 04/10/2015 05:19 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

- Remaining (hours) set to 0.0

Implemented now contains() for all spatial classes and made a pure virtual method of GModelSpatial.

Merged into devel branch.
